unit uCustomizeDlg;

interface

uses
{$IFDEF VCL}
  ComCtrls,
{$ELSE}
  QComCtrls,
{$ENDIF}
  CustomizeDlg,
  Rubies;


var
  cCustomizeDlg: Tvalue;

function ap_cCustomizeDlg: Tvalue;
function ap_iCustomizeDlg(real: TCustomizeDlg; owner: Tvalue): Tvalue;
procedure Init_CustomizeDlg;

implementation

uses
  SysUtils, Classes,
  uDefUtils, uIntern, uHandle, uAlloc, uProp, uPhi,
  uSizeConstraints,
  uConv,
  uIndexer,
  Graphics,
  uPersistent, uComponent, uControl;

function ap_cCustomizeDlg: Tvalue;
begin
  result := cCustomizeDlg;
end;

procedure CustomizeDlg_setup(obj: Tvalue; real: TCustomizeDlg);
begin
//    AssignPropMethod(real, [Handle]);
end;

function CustomizeDlg_event_handle(This, name: Tvalue): Tvalue; cdecl;
begin
  EventHandle(This, name, [Handle]);
  result := Qnil;
end;

function CustomizeDlg_alloc(This: Tvalue; real: TCustomizeDlg): Tvalue;
begin
  result := ChildAlloc(This, real);
  CustomizeDlg_setup(result, real);
end;

function ap_iCustomizeDlg(real: TCustomizeDlg; owner: Tvalue): Tvalue;
begin
  result := CustomizeDlg_alloc(cCustomizeDlg, real);
  ap_owner(result, owner);
end;

function ap_iCustomizeDlg_v(var AControl; owner: Tvalue): Tvalue;
begin
  result := ap_iCustomizeDlg(TCustomizeDlg(AControl), owner);
end;

function CustomizeDlg_allocate(This: Tvalue): Tvalue; cdecl;
var
  real: TCustomizeDlg;
begin
  real := TCustomizeDlg.Create(nil);
  result := CompoAlloc(This, real);
  CustomizeDlg_setup(result, real);
end;

(**** str_method made by ap_src_maker ****)
(**** made by ap_src_maker ****)

procedure Init_CustomizeDlg;
begin
  cCustomizeDlg := OutputPersistentClass(mPhi, TCustomizeDlg, cWinControl, ap_iCustomizeDlg_v);
  rb_define_method(cCustomizeDlg, 'event_handle', @CustomizeDlg_event_handle, 1);
  rb_define_alloc_func(cCustomizeDlg, @CustomizeDlg_allocate);

(**** str_init made by ap_src_maker ****)
//  DefineAttrGet(cCustomizeDlg, 'customize_form', CustomizeDlg_get_customize_form);
(**** made by ap_src_maker ****)

end;

end.
